Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts
[Java] Interface ExternalModuleDependency

    org.gradle.api.artifacts.ModuleVersionSelector
      org.gradle.api.artifacts.ExternalDependency
          org.gradle.plugins.ide.idea.model.ModuleDependency
              org.gradle.api.artifacts.ExternalModuleDependency
                  org.gradle.api.artifacts.Dependency

All Superinterfaces:
  ModuleVersionSelector, ExternalDependency, ModuleDependency, Dependency

    public interface ExternalModuleDependency
    extends ExternalDependency

A `ModuleDependency` is a Dependency on a module outside the current project hierarchy.

Authors:
  Hans Dockter

Method Summary
`ExternalModuleDependency` | `copy()` {@inheritDoc}
`boolean` | `isChanging()` Returns whether or nor Gradle should always check for a change in the remote repository.
`ExternalModuleDependency` | `setChanging(boolean changing)` Sets whether or nor Gradle should always check for a change in the remote repository.

Methods inherited from interface ExternalDependency
copy, isForce, setForce

Methods inherited from interface ModuleVersionSelector
getGroup, getName, getVersion

Methods inherited from class ModuleDependency
addToNode, equals, hashCode, toString

Method Detail

### copy

    public ExternalModuleDependency copy()

  {@inheritDoc}

### isChanging

    public boolean isChanging()

  Returns whether or nor Gradle should always check for a change in the remote repository.
  See Also:
    setChanging(boolean)

### setChanging

    public ExternalModuleDependency setChanging(boolean changing)

  Sets whether or nor Gradle should always check for a change in the remote repository. If set to true, Gradle will check the remote repository even if a dependency with the same version is already in the local cache. Defaults to false.
  Parameters:
    `changing` - Whether or nor Gradle should always check for a change in the remote repository
  Returns:
    this

Gradle API 1.1-rc-1